aiengine: XAieGbl_RegLocks Struct Reference

| aiengine Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XAieGbl_RegLocks Struct Reference

This typedef contains the attributes for the Release/Acquire register bit fields. More...

## Data Fields
u32 | RelNvOff
| Release NV register offset. More...
XAieGbl_RegFldAttr | RelNv
| Release NV filed attributes. More...
u32 | RelV0Off
| Release V0 register offset. More...
XAieGbl_RegFldAttr | RelV0
| Release V0 field attributes. More...
u32 | RelV1Off
| Release V1 register offset. More...
XAieGbl_RegFldAttr | RelV1
| Release V1 field attributes. More...
u32 | AcqNvOff
| Acquire NV register offset. More...
XAieGbl_RegFldAttr | AcqNv
| Acquire NV field attributes. More...
u32 | AcqV0Off
| Acquire V0 register offset. More...
XAieGbl_RegFldAttr | AcqV0
| Acquire V0 field attributes. More...
u32 | AcqV1Off
| Acquire V1 register offset. More...
XAieGbl_RegFldAttr | AcqV1
| Acquire V1 field attributes. More...

## Detailed Description

This typedef contains the attributes for the Release/Acquire register bit fields.

## Field Documentation

XAieGbl_RegFldAttr XAieGbl_RegLocks::AcqNv

Acquire NV field attributes.

Referenced by XAieTile_LockAcquire().

u32 XAieGbl_RegLocks::AcqNvOff

Acquire NV register offset.

Referenced by XAieTile_LockAcquire().

XAieGbl_RegFldAttr XAieGbl_RegLocks::AcqV0

Acquire V0 field attributes.

Referenced by XAieTile_LockAcquire().

u32 XAieGbl_RegLocks::AcqV0Off

Acquire V0 register offset.

Referenced by XAieTile_LockAcquire().

XAieGbl_RegFldAttr XAieGbl_RegLocks::AcqV1

Acquire V1 field attributes.

Referenced by XAieTile_LockAcquire().

u32 XAieGbl_RegLocks::AcqV1Off

Acquire V1 register offset.

Referenced by XAieTile_LockAcquire().

XAieGbl_RegFldAttr XAieGbl_RegLocks::RelNv

Release NV filed attributes.

Referenced by XAieTile_LockRelease().

u32 XAieGbl_RegLocks::RelNvOff

Release NV register offset.

Referenced by XAieTile_LockRelease().

XAieGbl_RegFldAttr XAieGbl_RegLocks::RelV0

Release V0 field attributes.

Referenced by XAieTile_LockRelease().

u32 XAieGbl_RegLocks::RelV0Off

Release V0 register offset.

Referenced by XAieTile_LockRelease().

XAieGbl_RegFldAttr XAieGbl_RegLocks::RelV1

Release V1 field attributes.

Referenced by XAieTile_LockRelease().

u32 XAieGbl_RegLocks::RelV1Off

Release V1 register offset.

Referenced by XAieTile_LockRelease().